# My projects

## Tools
- [ssh_cmd_validate](https://git.hydrar.de/jmarya/ssh_cmd_validate) : Limit SSH Commands
- [scrape](https://git.hydrar.de/jmarya/scrape) : Website Data Scraper
- [zfs_space_log](https://git.hydrar.de/jmarya/zfs_space_log) : Log ZFS Dataset properties

## Libraries
- [jobdispatcher](https://git.hydrar.de/jmarya/jobdispatcher) : A thread-safe job dispatcher
- [gnupg-rs](https://git.hydrar.de/jmarya/gnupg-rs) : GnuPG Bindings for Rust
- [web-base](https://git.hydrar.de/jmarya/web-base) : Basic website functions

## mdtools
- [mdq](https://git.hydrar.de/mdtools/mdq) : command line tool to query markdown documents which have yaml frontmatter.
- [mdlint](https://git.hydrar.de/mdtools/mdlint) : Validate markdown frontmatter using JSON Schemas
- [mddiff](https://git.hydrar.de/mdtools/mddiff) : tool for comparing the frontmatter of two markdown files and generating a JSON patch file
- [mdpatch](https://git.hydrar.de/mdtools/mdpatch) : Patch the frontmatter of markdown files
